## cups 1.6.2

=== doc/Makefile ===
#
# "$Id: Makefile 10752 2012-12-12 18:03:02Z mike $"
#
#   Documentation makefile for CUPS.
#
#   Copyright 2007-2012 by Apple Inc.
#   Copyright 1997-2007 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#

include ../Makedefs

#
# Document files...
#

WEBPAGES	=	\
			cups.css \
			cups-printable.css \
			index.html \
			robots.txt
WEBIMAGES	=	\
			images/color-wheel.png \
			images/cups.png \
			images/cups-icon.png \
			images/generic.png \
			images/left.gif \
			images/right.gif \
			images/sel.gif \
			images/unsel.gif \
			images/wait.gif
HELPIMAGES	=	\
			images/cups-block-diagram.png \
			images/cups-command-chain.png \
			images/cups-postscript-chain.png \
			images/cups-raster-chain.png \
			images/raster.png \
			images/raster-organization.png \
			images/sample-image.png \
			images/smiley.jpg
HELPFILES	=	\
			help/accounting.html \
			help/api-array.html \
			help/api-cgi.html \
			help/api-cups.html \
			help/api-driver.html \
			help/api-filedir.html \
			help/api-filter.html \
			help/api-httpipp.html \
			help/api-mime.html \
			help/api-overview.html \
			help/api-ppd.html \
			help/api-ppdc.html \
			help/api-raster.html \
			help/cgi.html \
			help/glossary.html \
			help/kerberos.html \
			help/license.html \
			help/man-cupsaccept.html \
			help/man-backend.html \
			help/man-cancel.html \
			help/man-cups-config.html \
			help/man-cups-lpd.html \
			help/man-cups-snmp.html \
			help/man-cupsaddsmb.html \
			help/man-cupsd.html \
			help/man-cupsenable.html \
			help/man-cupstestdsc.html \
			help/man-cupstestppd.html \
			help/man-filter.html \
			help/man-ipptool.html \
			help/man-ipptoolfile.html \
			help/man-lp.html \
			help/man-lpadmin.html \
			help/man-lpc.html \
			help/man-lpinfo.html \
			help/man-lpmove.html \
			help/man-lpoptions.html \
			help/man-lppasswd.html \
			help/man-lpq.html \
			help/man-lpr.html \
			help/man-lprm.html \
			help/man-lpstat.html \
			help/man-mime.convs.html \
			help/man-mime.types.html \
			help/man-notifier.html \
			help/man-ppdc.html \
			help/man-ppdhtml.html \
			help/man-ppdi.html \
			help/man-ppdmerge.html \
			help/man-ppdpo.html \
			help/network.html \
			help/options.html \
			help/overview.html \
			help/policies.html \
			help/postscript-driver.html \
			help/ppd-compiler.html \
			help/raster-driver.html \
			help/ref-access_log.html \
			help/ref-classes-conf.html \
			help/ref-client-conf.html \
			help/ref-cupsd-conf.html \
			help/ref-cups-files-conf.html \
			help/ref-error_log.html \
			help/ref-mailto-conf.html \
			help/ref-page_log.html \
			help/ref-ppdcfile.html \
			help/ref-printers-conf.html \
			help/ref-snmp-conf.html \
			help/ref-subscriptions-conf.html \
			help/security.html \
			help/sharing.html \
			help/spec-banner.html \
			help/spec-browsing.html \
			help/spec-cmp.html \
			help/spec-command.html \
			help/spec-design.html \
			help/spec-ipp.html \
			help/spec-pdf.html \
			help/spec-postscript.html \
			help/spec-ppd.html \
			help/spec-raster.html \
			help/spec-stp.html \
			help/standard.html \
			help/translation.html \
			help/whatsnew.html


#
# Make all documents...
#

all:


#
# Make library targets...
#

libs:


#
# Make unit tests...
#

unittests:


#
# Remove all generated files...
#

clean:


#
# Dummy depend target...
#

depend:


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data: $(INSTALL_LANGUAGES)
	$(INSTALL_DIR) -m 755 $(DOCDIR)
	for file in $(WEBPAGES); do \
		$(INSTALL_MAN) $$file $(DOCDIR); \
	done
	$(INSTALL_DIR) -m 755 $(DOCDIR)/help
	for file in $(HELPFILES); do \
		$(INSTALL_MAN) $$file $(DOCDIR)/help; \
	done
	$(INSTALL_DIR) -m 755 $(DOCDIR)/images
	for file in $(WEBIMAGES) $(HELPIMAGES); do \
		$(INSTALL_MAN) $$file $(DOCDIR)/images; \
	done

install-languages:
	for lang in $(LANGUAGES); do \
		if test -d $$lang; then \
			$(INSTALL_DIR) -m 755 $(DOCDIR)/$$lang; \
			$(INSTALL_DATA) $$lang/index.html $(DOCDIR)/$$lang; \
			$(INSTALL_DATA) $$lang/cups.css $(DOCDIR)/$$lang >/dev/null 2>&1 || true; \
		fi; \
	done

install-langbundle:


#
# Install programs...
#

install-exec:


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:


#
# Uninstall all documentation files...
#

uninstall: $(UNINSTALL_LANGUAGES)
	for file in $(WEBPAGES); do \
		$(RM) $(DOCDIR)/$$file; \
	done
	for file in $(HELPFILES); do \
		$(RM) $(DOCDIR)/$$file; \
	done
	for file in $(WEBIMAGES); do \
		$(RM) $(DOCDIR)/$$file; \
	done
	-$(RMDIR) $(DOCDIR)/images
	-$(RMDIR) $(DOCDIR)/help
	-$(RMDIR) $(DOCDIR)

uninstall-languages:
	-for lang in $(LANGUAGES); do \
		$(RM) $(DOCDIR)/$$lang/index.html; \
		$(RM) $(DOCDIR)/$$lang/cups.css; \
		$(RMDIR) $(DOCDIR)/$$lang; \
	done

install-langbundle:


#
# Install the docset bits locally...
#

docset:
	cp $(HELPFILES) ../org.cups.docset/Contents/Resources/Documentation/help
	cp cups-printable.css ../org.cups.docset/Contents/Resources/Documentation
	cp $(HELPIMAGES) ../org.cups.docset/Contents/Resources/Documentation/images


#
# End of Makefile.
#

=== locale/Makefile ===
#
# "$Id: Makefile 10424 2012-04-23 17:26:57Z mike $"
#
#   Locale file makefile for CUPS.
#
#   Copyright 2007-2012 by Apple Inc.
#   Copyright 1993-2007 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#

include ../Makedefs


OBJS	=	checkpo.o po2strings.o strings2po.o translate.o
TARGETS	=	checkpo po2strings strings2po translate


#
# Make everything...
#

all:	$(TARGETS)


#
# Make library targets...
#

libs:


#
# Make unit tests...
#

unittests:


#
# Clean all config and object files...
#

clean:
	$(RM) $(TARGETS) $(OBJS)


#
# Update dependencies (without system header dependencies...)
#

depend:
	$(CC) -MM $(ALL_CFLAGS) $(OBJS:.o=.c) >Dependencies


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data: $(INSTALL_LANGUAGES)

install-languages:
	$(INSTALL_DIR) -m 755 $(LOCALEDIR)
	for loc in $(LANGUAGES) ; do \
		if test -f cups_$$loc.po; then \
			$(INSTALL_DIR) -m 755 $(LOCALEDIR)/$$loc ; \
			$(INSTALL_DATA) cups_$$loc.po $(LOCALEDIR)/$$loc/cups_$$loc.po ; \
		fi ; \
	done

install-langbundle: po2strings
	$(INSTALL_DIR) -m 755 "$(BUILDROOT)$(BUNDLEDIR)/Resources/English.lproj"
	$(INSTALL_DATA) cups.strings "$(BUILDROOT)$(BUNDLEDIR)/Resources/English.lproj"


#
# Install programs...
#

install-exec:


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:


#
# Uninstall files...
#

uninstall: $(UNINSTALL_LANGUAGES)

uninstall-languages:
	-for loc in $(LANGUAGES) ; do \
		$(RM) $(LOCALEDIR)/$$loc/cups_$$loc.po ; \
	done

uninstall-langbundle:
	$(RM) "$(BUILDROOT)$(BUNDLEDIR)/Resources/English.lproj/cups.strings"


#
# pot - Creates/updates the cups.pot template file, merges changes into existing
#       message catalogs, and updates the cups.strings file.  We don't use
#       xgettext to update the cups.strings file due to known xgettext bugs.
#

pot:	checkpo po2strings
	echo Updating cups.pot...
	mv cups.pot cups.pot.bck
	touch cups.pot
	cd ..; xgettext -o locale/cups.pot -cTRANSLATORS -s \
		--keyword=_ --no-wrap \
		--copyright-holder="Apple Inc." \
		--package-name="CUPS" --package-version="1.6" \
		--msgid-bugs-address="http://www.cups.org/str.php" \
		*/*.c */*.cxx
	(cat cups.header; tail +6 cups.pot; cat cups.footer) > cups.pot.N
	mv cups.pot.N cups.pot
	echo Checking cups.pot...
	./checkpo cups.pot
	for loc in *.po ; do \
		if test $$loc = '*.po'; then \
			break; \
		fi; \
		echo Merging changes into $$loc... ; \
		msgmerge -o $$loc -s -N --no-location $$loc cups.pot ; \
	done
	echo Updating cups.strings...
	./po2strings cups.pot cups.strings


#
# checkpo - A simple utility to check PO files for correct translation
#           strings.  Dependency on static library is deliberate.
#
# checkpo filename.po [... filenameN.po]
#

checkpo:	checkpo.o ../cups/$(LIBCUPSSTATIC)
	echo Linking $<...
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o checkpo checkpo.o \
		../cups/$(LIBCUPSSTATIC) $(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) \
		$(COMMONLIBS) $(LIBZ)

checkall:	checkpo
	for file in *.po; do \
		./checkpo $$file; \
	done


#
# po2strings - A simple utility which uses iconv to convert GNU gettext
#              message catalogs to OS X .strings files.
#
# po2strings filename.po filename.strings
#

po2strings:	po2strings.o ../cups/$(LIBCUPSSTATIC)
	echo Linking $<...
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o po2strings po2strings.o \
		../cups/$(LIBCUPSSTATIC) $(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) \
		$(COMMONLIBS) $(LIBZ)


#
# strings2po - A simple utility which uses iconv to convert OS X .strings files
#              to GNU gettext message catalogs.
#
# strings2po filename.strings filename.po
#

strings2po:	strings2po.o
	echo Linking $<...
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o strings2po strings2po.o


#
# translate - A simple utility which uses Google to translate the cups.pot
#             file to one of several languages.
#
# translate outfile language
#

translate:	translate.o ../cups/$(LIBCUPSSTATIC)
	echo Linking $<...
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o translate translate.o \
		../cups/$(LIBCUPSSTATIC) $(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) \
		$(COMMONLIBS) $(LIBZ)


#
# Dependencies...
#

include Dependencies


#
# End of "$Id: Makefile 10424 2012-04-23 17:26:57Z mike $".
#

=== test/Makefile ===
#
# "$Id: Makefile 10456 2012-05-07 22:41:42Z mike $"
#
#   IPP test makefile for CUPS.
#
#   Copyright 2007-2012 by Apple Inc.
#   Copyright 1997-2006 by Easy Software Products, all rights reserved.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#

include ../Makedefs


#
# Sample test files.
#

DATAFILES	=	\
			color.jpg \
			document-a4.pdf \
			document-a4.ps \
			document-letter.pdf \
			document-letter.ps \
			gray.jpg \
			onepage-a4.pdf \
			onepage-a4.ps \
			onepage-letter.pdf \
			onepage-letter.ps \
			testfile.jpg \
			testfile.pcl \
			testfile.pdf \
			testfile.ps \
			testfile.txt
TESTFILES	=	\
			create-printer-subscription.test \
			get-completed-jobs.test \
			get-jobs.test \
			get-printer-attributes.test \
			ipp-1.1.test \
			ipp-2.0.test \
			ipp-2.1.test \
			ipp-2.2.test
OBJS		=	\
			ippserver.o \
			ipptool.o \
			xmltotest.o
TARGETS		=	\
			ippserver \
			ipptool \
			ipptool-static


#
# Make all targets...
#

all:		$(TARGETS)


#
# Make library targets...
#

libs:


#
# Make unit tests...
#

unittests:


#
# Clean all object files...
#

clean:
	$(RM) $(TARGETS) $(OBJS)


#
# Update dependencies (without system header dependencies...)
#

depend:
	$(CC) -MM $(ALL_CFLAGS) $(OBJS:.o=.c) >Dependencies


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data:
	echo Installing sample ipptool files in $(DATADIR)/ipptool...
	$(INSTALL_DIR) -m 755 $(DATADIR)/ipptool
	for file in $(DATAFILES); do \
		$(INSTALL_COMPDATA) $$file $(DATADIR)/ipptool; \
	done
	for file in $(TESTFILES); do \
		$(INSTALL_DATA) $$file $(DATADIR)/ipptool; \
	done


#
# Install programs...
#

install-exec:
	echo Installing ipptool in $(BINDIR)...
	$(INSTALL_DIR) -m 755 $(BINDIR)
	$(INSTALL_BIN) ipptool $(BINDIR)
	if test "x$(SYMROOT)" != "x"; then \
		$(INSTALL_DIR) $(SYMROOT); \
		cp ipptool $(SYMROOT); \
	fi


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:


#
# Unnstall all targets...
#

uninstall:
	echo Uninstalling sample ipptool files from $(DATADIR)/ipptool...
	for file in $(DATAFILES); do \
		$(RM) $(DATADIR)/ipptool/$$file; \
	done
	for file in $(TESTFILES); do \
		$(RM) $(DATADIR)/ipptool/$$file; \
	done
	-$(RMDIR) $(DATADIR)/ipptool


#
# ippserver
#

ippserver:	ippserver.o ../cups/$(LIBCUPSSTATIC)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ ippserver.o  ../cups/$(LIBCUPSSTATIC) \
		$(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) $(COMMONLIBS) $(LIBZ)


#
# ippserver-shared
#

ippserver-shared:	ippserver.o ../cups/$(LIBCUPS)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ ippserver.o $(LIBS)


#
# ipptool
#

ipptool:	ipptool.o ../cups/$(LIBCUPS)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ ipptool.o $(LIBS)


#
# ipptool-static
#

ipptool-static:	ipptool.o ../cups/$(LIBCUPSSTATIC)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ ipptool.o  ../cups/$(LIBCUPSSTATIC) \
		$(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) $(COMMONLIBS) $(LIBZ)


#
# xmltotest
#

xmltotest: xmltotest.o ../cups/$(LIBUPSSTATIC)
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ xmltotest.o  ../cups/$(LIBCUPSSTATIC) \
		$(LIBGSSAPI) $(SSLLIBS) $(DNSSDLIBS) $(COMMONLIBS) $(LIBZ) \
		$(LIBMXML)


#
# Dependencies...
#

include Dependencies


#
# End of "$Id: Makefile 10456 2012-05-07 22:41:42Z mike $".
#

=== debian/changelog ===
cups (1.6.2-1ubuntu8) raring-security; urgency=low

  * SECURITY UPDATE: information disclosure via lppasswd binary
    - debian/patches/CVE-2013-6891.patch: don't parse user file if setuid
      in cups/usersys.c.
    - CVE-2013-6891
  * This update does _not_ contain the changes from 1.6.2-1ubuntu7 in
    raring-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Jan 2014 10:10:26 -0500

cups (1.6.2-1ubuntu5) raring; urgency=low

  * debian/patches/usb-backend-more-quirk-rules.patch: Added quirk rule for the
    QinHeng CH340S USB->Parallel adapter (LP: #1000253).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 15 Apr 2013 15:13:01 +0200

cups (1.6.2-1ubuntu4) raring; urgency=low

  * debian/local/apparmor-profile: Allow "audit_write" capability.
    (LP: #1157318).
  * debian/patches/usb-backend-epson-stylus-photo-750.patch,
    debian/patches/usb-backend-more-quirk-rules.patch: Added quirk rules for
    five additional printers: Lexmark e250d (LP: #1084164), Canon PIXMA iP6000D
    (LP: #1160638), Canon MF4150 (LP: #1160638), Brother HL-1450
    (LP: #1000253), Epson Stylus Color 670 (LP: #872483), joined the quirk rule
    patches.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 12 Apr 2013 08:31:01 +0200

cups (1.6.2-1ubuntu3) raring; urgency=low

  * debian/patches/airprint-support.patch: Let the DNS-SD subtype "_universal"
    get added to the printer's DNS-SD registration. It is needed for iOS to
    find the printers.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 25 Mar 2013 10:13:01 +0100

cups (1.6.2-1ubuntu2) raring; urgency=low

  * debian/control: Added libp11-kit-gnome-keyring to the dependencies of
    the cups-binary package (LP: #1157904).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 20 Mar 2013 19:58:01 +0100

cups (1.6.2-1ubuntu1) raring; urgency=low

  * debian/cups.maintscript: Added line "rm_conffile /etc/logrotate.d/cups
    1.6.2-1ubuntu1~" to clean up /etc/logrotate.d/cups conffile if it did not
    get moved by the mv_conffile line (LP: #1157758).
  * debian/control: Added libp11-kit-gnome-keyring to the build dependencies,
    it is needed for the tests.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 20 Mar 2013 18:13:01 +0100

cups (1.6.2-1) experimental; urgency=low

  * New upstream release
    - Adds localizations for Czech, French, and Russian
    - Adds several improvements to the USB backend on Linux
    - Fixes several printing and tool bugs

  * Patches:
    - Drop all patches previously backported from upstream
    - Update all remaining patches
  * Merge changes targeted at Wheezy:
    - Correct usb-backend quirk for Epson Stylus Photo 750
      (Closes: #697970)
  * Manpage translation infrastructure:
    - Refresh it.
    - Allow the translation of the ipptool and ipptoolfile manpages.
    - Fix translation infrastructure typos, to get 'man cups-files.conf'
      localized.
  * More cups-daemon split cleanup:
    - Drop superfluous Priority snd Section settings.
    - Install the forgotten ipp14 backend.
    - Drop two unmatched lintian overrides.
    - Drop ipp and ipp14 from the cups backends selection; they are
      shipped unconditionally in cups-daemon.
    - Add long-description to the init script
    - Alter the cups-daemon short description.
  * In cups-client, add 'accept' and 'reject' manpage symlinks.
  * Bump private symbols version to latest upstream.

 -- Didier Raboud <odyx@debian.org>  Tue, 19 Mar 2013 16:21:18 +0100

cups (1.6.1-3) experimental; urgency=low

  * Wait 30 minutes for jobs to complete, hopefully fixes the mips
    FTBFS.
  * Make 'noopt' building succeed by relaxing the makeshlibs
    requirements in that case, thanks to Sam Lantinga. (Closes: #645329)
  * Add slapd and nslcd to cups' Should-Start LSB headers.
    (Closes: #702248)
  * Backport upstream documentation fix for STR#4223 "lpadmin to root
    privilege escalation"

 -- Didier Raboud <odyx@debian.org>  Sat, 09 Mar 2013 17:40:09 +0100

=== debian/control ===
Source: cups
Standards-Version: 3.9.3
Priority: optional
Section: net
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: 
 Masayuki Hatta (mhatta) <mhatta@debian.org>,
 Till Kamppeter <till.kamppeter@gmail.com>,
 Roger Leigh <rleigh@debian.org>, 
 Jeff Licquia <licquia@debian.org>,
 Martin Pitt <mpitt@debian.org>,
 Didier Raboud <odyx@debian.org>
Build-Depends: 
 debhelper (>= 9~),
 dpkg-dev (>= 1.16.1~),
 patch,
 autoconf, 
 automake, 
 libtool,
 autotools-dev,
 pkg-config,
 ghostscript (>= 9.02~),
 libavahi-client-dev,
 libavahi-common-dev,
 libavahi-compat-libdnssd-dev,
 libdbus-1-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libgnutls-dev, 
 libijs-dev,
 libjpeg-dev,
 libldap2-dev,
 libkrb5-dev,
 libpam0g-dev,
 libpaper-dev,
 libpng-dev | libpng12-dev, 
 libslp-dev,
 libtiff-dev,
 libusb-1.0-0-dev [!hurd-any], 
 po4a (>= 0.31~),
 po-debconf,
 poppler-utils, 
 sharutils,
 zlib1g-dev,
# Needed for running the tests, not for the build
 cups-filters (>= 1.0.25~),
 libcupsfilters-dev (>= 1.0.25~),
 libp11-kit-gnome-keyring
Homepage: http://www.cups.org
Vcs-Git: git://anonscm.debian.org/pkg-cups/cups.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cups/cups.git;a=summary

Package: libcups2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cups-common
Breaks: cups (<< 1.5.0)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - Core library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the base shared libraries for CUPS.

Package: libcupsimage2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcupsfilters1 (>= 1.0~b1),
 libcups2 (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - Raster image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the image libraries for handling the CUPS
 raster format.

Package: libcupscgi1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcups2 (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - CGI library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library for CGI programs in the
 CUPS web interface

Package: libcupsmime1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcups2 (= ${binary:Version}),
Breaks: cups (<< 1.5.0)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - MIME library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library for file type detection and
 file conversion filter chain building.

Package: libcupsppdc1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcups2 (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - PPD manipulation library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the base shared library for generating and
 manipulating PPD files.

Package: cups
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libc-bin (>= 2.13),
 cups-daemon (>= ${binary:Version}),
 debconf (>= 1.2.9) | debconf-2.0,
 poppler-utils (>= 0.12),
 procps,
 ghostscript (>= 9.02~),
 lsb-base (>= 3),
 cups-common (>= ${source:Upstream-Version}), 
 cups-client (>= ${binary:Version}),
 libcups2 (= ${binary:Version}),
 cups-ppdc,
 cups-filters (>= 1.0.24-3~),
 libp11-kit-gnome-keyring
Recommends: avahi-daemon,
 colord,
 foomatic-filters (>= 4.0), 
 printer-driver-gutenprint,
 ghostscript-cups (>= 9.02~)
Suggests: cups-bsd,
 foomatic-db-compressed-ppds | foomatic-db,
 printer-driver-hpcups,
 hplip,
 cups-pdf,
 udev,
 smbclient
Replaces: ghostscript-cups (<< 9.02~)
Breaks: foomatic-filters (<< 4.0), ghostscript-cups (<< 9.02~)
Multi-Arch: foreign
Description: Common UNIX Printing System(tm) - server
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the parts of CUPS which are needed for using printer
 drivers.

Package: cups-daemon
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${shlibs:Depends},
 ${misc:Depends},
 procps,
 lsb-base (>= 3),
 libcups2 (= ${binary:Version}),
 ssl-cert (>= 1.0.11),
 adduser,
 bc
Recommends: avahi-daemon,
 colord,
 cups-browsed
Suggests: cups, cups-bsd,
 cups-common (>= ${source:Upstream-Version}), 
 cups-client (>= ${binary:Version}),
 cups-ppdc,
 cups-filters,
 lsb-base (>= 3),
 poppler-utils (>= 0.12),
 ghostscript (>= 9.02~),
 ghostscript-cups (>= 9.02~),
 foomatic-filters (>= 4.0), 
 foomatic-db-compressed-ppds | foomatic-db,
 printer-driver-gutenprint,
 printer-driver-hpcups,
 hplip,
 cups-pdf,
 udev,
 smbclient
Replaces: cups (<< 1.6.1-1~)
Breaks: cups (<< 1.6.1-1~)
Multi-Arch: foreign
Description: Common UNIX Printing System(tm) - daemon
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the CUPS scheduler/daemon.

Package: cups-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 cups-common (>= ${source:Upstream-Version}),
 libcups2 (= ${binary:Version}),
 adduser
Recommends: smbclient
Suggests: cups, xpp, cups-bsd
Conflicts: lprng
Multi-Arch: foreign
Description: Common UNIX Printing System(tm) - client programs (SysV)
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the System V style print client programs.

Package: libcups2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcups2 (= ${binary:Version}), 
 libgnutls-dev,
 libkrb5-dev
Description: Common UNIX Printing System(tm) - Development files CUPS library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing CUPS-aware
 applications and CUPS drivers, as well as examples how to communicate
 with cups from different programming languages (Perl, Java, and
 PHP).

Package: libcupsimage2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 libcupsimage2 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version}), 
 libcupsfilters-dev (>= 1.0~b1),
 libpng-dev,
 libtiff-dev,
 libjpeg8-dev | libjpeg-dev,
 zlib1g-dev
Description: Common UNIX Printing System(tm) - Development files CUPS image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing applications
 that use the CUPS raster image format.

Package: libcupscgi1-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupscgi1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files for CGI library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing CGI programs
 for the CUPS web interface using libcupscgi.

Package: libcupsmime1-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcupsmime1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files MIME library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing programs
 using libcupsmime.

Package: libcupsppdc1-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcupsppdc1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files PPD library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing programs
 using libcupsppdc.

Package: cups-bsd
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 cups-client (= ${binary:Version}),
 debconf | debconf-2.0,
 update-inetd,
 cups-common
Suggests: cups
Conflicts: lpr, lprng
Replaces: lpr
Provides: lpr
Multi-Arch: foreign
Description: Common UNIX Printing System(tm) - BSD commands
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpr, lpd and the like.  It supports the
 Internet Printing Protocol (IPP), and has its own filtering driver
 model for handling various document types.
 .
 This package provides the BSD commands for interacting with CUPS.  It
 is provided separately to allow CUPS to coexist with other printing
 systems (to a small degree).

Package: cups-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Common UNIX Printing System(tm) - common files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides common files for CUPS server and client packages.

Package: cups-ppdc
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cups-common
Multi-Arch: foreign
Description: Common UNIX Printing System(tm) - PPD manipulation utilities

=== debian/rules ===
#!/usr/bin/make -f

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")

# work around libpng crash on our test PNGs with 8 bit colormaps (LP #710881)
export NO_PNG_PKG_MANGLE=1

# Enabling PIE globally doesn't work, but ./configure already enables PIE
# where necessary.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# The build system uses only DSOFLAGS but not LDFLAGS to build some libraries.
# Add LDFLAGS to enable (hardening) build flags.
export DSOFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@

ifeq ($(DEB_HOST_ARCH_OS),hurd)
CONFIG_LIBUSB=--disable-libusb
else
CONFIG_LIBUSB=--enable-libusb
endif

override_dh_auto_configure:
ifeq ($(derives_from_ubuntu),yes)
	set -e; if ! [ -e debian/patches/ubuntu/stamp-applied ]; then \
	    echo '---- Applying Ubuntu specific patches'; \
	    for p in debian/patches/ubuntu/*; do \
	        patch -p1 --no-backup-if-mismatch < $$p; \
	    done; \
	    touch debian/patches/ubuntu/stamp-applied; \
	fi
endif
	# Rebuild ./configure to get build system patches working
	aclocal
	autoconf
	dh_auto_configure -- \
		--with-docdir=/usr/share/cups/doc-root \
		--localedir=/usr/share/cups/locale \
		--enable-slp \
		--enable-libpaper \
		--enable-ssl \
		--enable-gnutls \
		--disable-openssl \
		--enable-threads \
		--enable-static \
		--enable-debug \
		--enable-dbus \
		--with-dbusdir=/etc/dbus-1 \
		--enable-gssapi \
		--enable-avahi \
		--with-pdftops=/usr/bin/gs \
		--disable-launchd \
		--with-cups-group=lp \
		--with-system-groups=lpadmin \
		--with-printcap=/var/run/cups/printcap \
		--with-log-file-perm=0640 \
		--with-local_protocols='dnssd' \
		$(CONFIG_LIBUSB)

override_dh_auto_install:
	dh_auto_install -- install BUILDROOT=$(shell pwd)/debian/tmp

MANPAGES_L10N_CUPS=man5/subscriptions.conf.5 man5/mime.convs.5 man7/filter.7 man8/cupsfilter.8 man8/cups-deviced.8 man8/cups-driverd.8
MANPAGES_L10N_CUPS_DAEMON=man5/classes.conf.5 man5/cupsd.conf.5 man5/cups-files.conf.5 man5/cups-snmp.conf.5 man5/mailto.conf.5 man5/mime.types.5 man5/printers.conf.5 man7/backend.7 man8/cupsd.8
MANPAGES_L10N_CUPS_CLIENT=man1/cupstestppd.1 man1/cupstestdsc.1 man1/ipptool.1 man1/lp.1 man1/lpoptions.1 man1/lppasswd.1 man1/lpstat.1 man1/cancel.1 man5/client.conf.5 man5/ipptoolfile.5 man8/cupsaddsmb.8 man8/cupsenable.8 man8/lpadmin.8 man8/lpinfo.8 man8/lpmove.8 man8/cupsreject.8 man8/cupsdisable.8 man8/cupsaccept.8 man8/cupsctl.8

override_dh_install:
ifeq ($(derives_from_ubuntu),yes)
	# Use upstart script on Ubuntu; we need to hide it away for Debian
	# builds, as dh_installinit does not have a --sysvinit-only
	cp debian/local/*.upstart debian
endif
	dh_install

	# Remove all files which get replaced by the ones in the cups-filters
	# package
	rm -rf debian/cups/usr/share/cups/banners
	rm debian/cups/usr/share/cups/data/testprint

	# Ensure that we don't ship anything in /var/run
	rm -rf debian/cups*/var/run

	# Install AppArmor, ufw profile, and Apport hook on Ubuntu
ifeq ($(derives_from_ubuntu),yes)
	install -D -m 644 debian/local/apparmor-profile debian/cups-daemon/etc/apparmor.d/usr.sbin.cupsd
	install -D -m 644 debian/local/cups.ufw.profile debian/cups-daemon/etc/ufw/applications.d/cups
	install -D -m 644 debian/local/apport-hook.py debian/cups-daemon/usr/share/apport/package-hooks/source_cups.py
endif

	# Make the usb backend run as root, since /dev/bus/usb/* are
	# root:root in udev < 147, and cups does not use the usblp kernel
	# module any more; udev 147 makes most of those printers accessible to
	# lp, but apparently not all of them
	chmod go-x debian/cups/usr/lib/cups/backend-available/usb

	# debian/libcups2-dev.install entry cannot rename files on-the-fly
	cp cups/language-private.h debian/libcups2-dev/usr/include/cups/i18n.h

        # Try to install the translated manpages to cups
	set -e; for m in $(MANPAGES_L10N_CUPS); do \
	       for manp in $$(ls debian/tmp/usr/share/man/*/$$m.gz); do \
                        install -D -m 644 $$manp $$(echo $$manp | sed -e 's#^debian/tmp#debian/cups#');\
                done; \
        done
        # Try to install the translated manpages to cups-daemon
	set -e; for m in $(MANPAGES_L10N_CUPS_DAEMON); do \
	       for manp in $$(ls debian/tmp/usr/share/man/*/$$m.gz); do \
                        install -D -m 644 $$manp $$(echo $$manp | sed -e 's#^debian/tmp#debian/cups-daemon#');\
                done; \
        done
        # Try to install the translated manpages to cups-client
	set -e; for m in $(MANPAGES_L10N_CUPS_CLIENT); do \
	       for manp in $$(ls debian/tmp/usr/share/man/*/$$m.gz); do \
                        install -D -m 644 $$manp $$(echo $$manp | sed -e 's#^debian/tmp#debian/cups-client#');\
                done; \
        done

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

override_dh_installinit:
ifeq ($(derives_from_ubuntu),yes)
	dh_installinit --name=cups --upstart-only
else
	dh_installinit --name=cups -u'start 50 2 3 4 5 . stop 80 1 .'
endif

override_dh_fixperms:
	dh_fixperms -Xusr/lib/cups/backend-available

override_dh_auto_test:
	make check

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
override_dh_makeshlibs:
	dh_makeshlibs -- -c4
endif

override_dh_clean:
	dh_clean
	if [ -e debian/patches/ubuntu/stamp-applied ]; then \
	    echo '---- Unapplying Ubuntu specific patches'; \
	    for p in debian/patches/ubuntu/*; do \
	        patch -Rp1 --no-backup-if-mismatch < $$p; \
	    done; \
	    rm debian/patches/ubuntu/stamp-applied; \
	fi

override_dh_auto_clean:
	dh_auto_clean
	rm -f man/client.conf.man packaging/cups.list
	rm -f conf/mime.convs conf/snmp.conf init/org.cups.cups-lpd.plist
	[ ! -f Makedefs ] || make distclean
	rm -f debian/*.upstart # master copy is in debian/local

override_dh_installdocs:
	dh_installdocs -plibcupsimage2-dev --link-doc=libcupsimage2
	dh_installdocs -pcups-bsd --link-doc=libcups2
	dh_installdocs -pcups-client --link-doc=libcups2
	dh_installdocs --remaining-packages

	rm -f debian/libcups2-dev/usr/share/doc/libcups2-dev/examples/scripting/php/*.o
	rm -f debian/libcups2-dev/usr/share/doc/libcups2-dev/examples/scripting/php/*.so

override_dh_strip:
	dh_strip --dbg-package=cups-dbg

## cups 1.7.0~rc1

=== debian/changelog ===
cups (1.7.0~rc1-0ubuntu5.3) saucy-security; urgency=medium

  * SECURITY UPDATE: cross-site scripting issue in web interface
    - debian/patches/CVE-2014-2856.patch: filter bad characters from the
      URL in scheduler/client.c.
    - CVE-2014-2856

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 18 Apr 2014 11:03:53 -0400

cups (1.7.0~rc1-0ubuntu5.2) saucy-security; urgency=low

  * SECURITY UPDATE: information disclosure via lppasswd binary
    - debian/patches/CVE-2013-6891.patch: don't parse user file if setuid
      in cups/usersys.c.
    - CVE-2013-6891

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Jan 2014 10:05:35 -0500

cups (1.7.0~rc1-0ubuntu5.1) saucy-proposed; urgency=low

  * debian/patches/lpadmin-ppdname-fix.patch: The lpadmin command did not send
    the PPD name from the "-m" option and also the web interface did not use
    the selected PPD file (LP: #1248578).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  8 Nov 2013 18:49:01 +0100

cups (1.7.0~rc1-0ubuntu5) saucy; urgency=low

  * debian/local/cupsd-sync-files-on-close.patch: Corrected patch, the new
    SyncOnClose directive needs to be in cups-files.conf (LP: #1157972,
    Red Hat bug #984883).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 27 Sep 2013 12:30:01 +0200

cups (1.7.0~rc1-0ubuntu4) saucy; urgency=low

  * debian/patches/cups-1.6.4-changes.patch: Merged latest fixes from upstream,
    taken from CUPS 1.6.4, as there is no public repository of CUPS any more
    and due to Apple policies the next 1.7.x release, 1.7.0 final, happens
    only with the next release of Mac OS X. Fixes:
     - Removed some duplicate page size definitions for some ISO sizes that were
       causing problems
     - The IPP backend did not add the "last-document" attribute
     - Added a SyncOnClose directive to cups-files.conf to force cupsd to
       call fsync before closing any configuration/state files it writes
       (LP: #1157972, Red Hat bug #984883).
     - Added USB quirk rule for Lexmark E238
     - Closed server connections were still not always detected
     - The libusb-based USB backend now loads its list of quirks from files
       in /usr/share/cups/usb instead of using a hardcoded table, this
       makes spotting and fixing USB problems much easier.
     - The scheduler did not properly register ICC color profiles with
       colord
  * debian/patches/usb-backend-more-quirk-rules.patch,
    debian/patches/handle-server-terminating-connection.patch,
    debian/patches/colord-add-profile-fix.patch: Removed, included upstream.
  * debian/patches/pidfile.patch,
    debian/patches/rootbackends-worldreadable.patch,
    debian/patches/airprint-support.patch,
    debian/patches/do-not-broadcast-with-hostnames.patch,
    debian/patches/mention-rfc2911-in-ipptoolfile-for-clarity.patch,
    debian/patches/add-ipp-backend-of-cups-1.4.patch,
    debian/patches/confdirperms.patch,
    debian/patches/show-compile-command-lines.patch,
    debian/patches/log-debug-history-nearly-unlimited.patch: Refreshed with
    quilt.
  * debian/local/apparmor-profile: Silenced AppArmor noise in syslog
    (LP: #1229766).
  * debian/local/cupsd-sync-files-on-close.patch: Activate CUPS daemon
    syncing files when closing, so that config files (like printers.conf)
    do not mysteriously disappear (LP: #1157972, Red Hat bug #984883).
  * debian/cups-server-common.install: Install /usr/share/cups/usb/ with the
    USB backend quirk rules file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 24 Sep 2013 22:15:01 +0200

cups (1.7.0~rc1-0ubuntu3) saucy; urgency=low

  * debian/local/cups-daemon.cups.upstart: Increased timeout for waiting for
    the CUPS daemon to get ready before automatically configuring printers
    from 3 sec to 30 sec, on slower systems CUPS often needs more than 3
    seconds and so the automatic printer configuration does not get done
    (LP: #933308).
  * debian/cups.dirs: Create empty /etc/cups/interfaces directory
    (LP: #499585).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 18 Sep 2013 18:51:01 +0200

cups (1.7.0~rc1-0ubuntu2) saucy; urgency=low

  * debian/patches/handle-server-terminating-connection.patch: Fix the handling
    of a connection terminated by the server (LP: #1020048, comment #37 and
    #44).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  5 Sep 2013 22:46:01 +0200

cups (1.7.0~rc1-0ubuntu1) saucy; urgency=low

  * New upstream release
     - Improved support for paid, PIN, and release printing
     - Expanded support for IPP Everywhere
     - Automatic support for data compression
     - Improved CUPS APIs
  * debian/patches/usb-backend-do-not-crash-if-usb-disabled-in-bios.patch,
    debian/patches/cupsd-no-crash-on-avahi-threaded-poll-shutdown.patch:
    Removed, applied upstream.
  * debian/patches/drop-arch-specifics-from-doc.patch: Removed, not needed
    any more.
  * debian/patches/get-ppd-file-for-statically-configured-ipp-shared-queues.patch,
    debian/patches/pidfile.patch,
    debian/patches/rootbackends-worldreadable.patch,
    debian/patches/cups-dbus-utf8.patch,
    debian/patches/airprint-support.patch,
    debian/patches/no-conffile-timestamp.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/tests-ignore-warnings.patch,
    debian/patches/tests-ignore-usb-crash.patch,
    debian/patches/test-i18n-nonlinux.patch,
    debian/patches/tests-wait-on-unfinished-jobs-everytime.patch,
    debian/patches/tests-fix-ppdLocalize-on-unclean-env.patch,
    debian/patches/tests-use-cupsfilters.patch,
    debian/patches/add-ipp-backend-of-cups-1.4.patch,
    debian/patches/confdirperms.patch,
    debian/patches/show-compile-command-lines.patch,
    debian/patches/ppdc-dynamic-linking.patch,
    debian/patches/log-debug-history-nearly-unlimited.patch:
    Refreshed with quilt.
  * debian/patches/ppd-poll-with-client-conf.patch,


=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: cups
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Priority: optional
 Section: net
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
@@ -45,8 +45,7 @@
  zlib1g-dev,
 # Needed for running the tests, not for the build
  cups-filters (>= 1.0.25~),
- libcupsfilters-dev (>= 1.0.25~),
- libp11-kit-gnome-keyring
+ libcupsfilters-dev (>= 1.0.25~)
 Homepage: http://www.cups.org
 Vcs-Git: git://anonscm.debian.org/pkg-cups/cups.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cups/cups.git;a=summary
@@ -145,17 +144,17 @@
  procps,
  ghostscript (>= 9.02~),
  lsb-base (>= 3),
- cups-common (>= ${source:Upstream-Version}), 
+ cups-common (>= ${source:Version}),
+ cups-server-common (>= ${source:Version}),
  cups-client (>= ${binary:Version}),
  libcups2 (= ${binary:Version}),
  cups-ppdc,
- cups-filters (>= 1.0.24-3~),
- libp11-kit-gnome-keyring
+ cups-filters (>= 1.0.24-3~)
 Recommends: avahi-daemon,
  colord,
  foomatic-filters (>= 4.0), 
  printer-driver-gutenprint,
- ghostscript-cups (>= 9.02~)
+ cups-filters (>= 1.0.36) | ghostscript-cups (>= 9.02~)
 Suggests: cups-bsd,
  foomatic-db-compressed-ppds | foomatic-db,
  printer-driver-hpcups,
@@ -185,19 +184,19 @@
  libcups2 (= ${binary:Version}),
  ssl-cert (>= 1.0.11),
  adduser,
- bc
-Recommends: avahi-daemon,
- colord,
- cups-browsed
+ bc,
+ ${ubuntu:avahi-daemon}
+Recommends: colord,
+ cups-browsed,
+ ${debian:avahi-daemon}
 Suggests: cups, cups-bsd,
- cups-common (>= ${source:Upstream-Version}), 
+ cups-common (>= ${source:Version}),
+ cups-server-common (>= ${source:Version}),
  cups-client (>= ${binary:Version}),
  cups-ppdc,
  cups-filters,
- lsb-base (>= 3),
  poppler-utils (>= 0.12),
  ghostscript (>= 9.02~),
- ghostscript-cups (>= 9.02~),
  foomatic-filters (>= 4.0), 
  foomatic-db-compressed-ppds | foomatic-db,
  printer-driver-gutenprint,
@@ -220,7 +219,7 @@
 Package: cups-client
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
- cups-common (>= ${source:Upstream-Version}),
+ cups-common (>= ${source:Version}),
  libcups2 (= ${binary:Version}),
  adduser
 Recommends: smbclient
@@ -324,7 +323,7 @@
  cups-client (= ${binary:Version}),
  debconf | debconf-2.0,
  update-inetd,
- cups-common
+ cups-common (>= ${source:Version})
 Suggests: cups
 Conflicts: lpr, lprng
 Replaces: lpr
@@ -352,9 +351,9 @@
  .
  This package provides common files for CUPS server and client packages.
 
-Package: cups-ppdc
-Section: utils
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, cups-common
-Multi-Arch: foreign
-Description: Common UNIX Printing System(tm) - PPD manipulation utilities
+Package: cups-server-common
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: cups (<< 1.6.2-2~)
+Breaks: cups (<< 1.6.2-2~)
+Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,7 @@
 
 MANPAGES_L10N_CUPS=man5/subscriptions.conf.5 man5/mime.convs.5 man7/filter.7 man8/cupsfilter.8 man8/cups-deviced.8 man8/cups-driverd.8
 MANPAGES_L10N_CUPS_DAEMON=man5/classes.conf.5 man5/cupsd.conf.5 man5/cups-files.conf.5 man5/cups-snmp.conf.5 man5/mailto.conf.5 man5/mime.types.5 man5/printers.conf.5 man7/backend.7 man8/cupsd.8
-MANPAGES_L10N_CUPS_CLIENT=man1/cupstestppd.1 man1/cupstestdsc.1 man1/ipptool.1 man1/lp.1 man1/lpoptions.1 man1/lppasswd.1 man1/lpstat.1 man1/cancel.1 man5/client.conf.5 man5/ipptoolfile.5 man8/cupsaddsmb.8 man8/cupsenable.8 man8/lpadmin.8 man8/lpinfo.8 man8/lpmove.8 man8/cupsreject.8 man8/cupsdisable.8 man8/cupsaccept.8 man8/cupsctl.8
+MANPAGES_L10N_CUPS_CLIENT=man1/cupstestppd.1 man1/cupstestdsc.1 man1/ippfind.1 man1/ipptool.1 man1/lp.1 man1/lpoptions.1 man1/lppasswd.1 man1/lpstat.1 man1/cancel.1 man5/client.conf.5 man5/ipptoolfile.5 man8/cupsaddsmb.8 man8/cupsenable.8 man8/lpadmin.8 man8/lpinfo.8 man8/lpmove.8 man8/cupsreject.8 man8/cupsdisable.8 man8/cupsaccept.8 man8/cupsctl.8
 
 override_dh_install:
 ifeq ($(derives_from_ubuntu),yes)
@@ -77,10 +77,11 @@
 endif
 	dh_install
 
+ifneq (,$(filter cups-server-common,$(shell dh_listpackages)))
 	# Remove all files which get replaced by the ones in the cups-filters
 	# package
-	rm -rf debian/cups/usr/share/cups/banners
-	rm debian/cups/usr/share/cups/data/testprint
+	rm -f debian/cups-server-common/usr/share/cups/data/testprint
+endif
 
 	# Ensure that we don't ship anything in /var/run
 	rm -rf debian/cups*/var/run
@@ -169,3 +170,13 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=cups-dbg
+
+override_dh_gencontrol:
+ifeq ($(derives_from_ubuntu),yes)
+	# Ubuntu considers avahi-daemon to be a Depends of cups-daemon because the upstart job waits on avahi
+	echo "ubuntu:avahi-daemon=avahi-daemon" >> debian/cups-daemon.substvars
+else
+	# Debian considers avahi-daemon to be a Recommends of cups-daemon
+	echo "debian:avahi-daemon=avahi-daemon" >> debian/cups-daemon.substvars
+endif
+	dh_gencontrol
